Subject: bug#54279: closed (Re: bug#54279: [PATCH 0/2] Fix transfig build errors.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Mar 2022 22:10:04 +0000

Your bug report

#54279: [PATCH 0/2] Fix transfig build errors.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54279: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54279
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54279: [PATCH 0/2] Fix transfig build errors.
From: Ludovic Courtès <[email-masked]>
To: Ivan Vilata i Balaguer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 11 Mar 2022 23:09:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Bona nit!

Ivan Vilata i Balaguer <[email-masked]> skribis:

> Hello!  The following patches fix two build errors of the package `transfig`
> caused by the upgrade to binutils 2.36 (namely bug
> <https://issues.guix.gnu.org/53425> (similar to
> <https://bugs.debian.org/981072>) and to GCC 10+ with option `-f-no-common`
> (similar to <https://bugs.gentoo.org/706706>, which I found when I fixed the
> previous one).  Thanks!

I added the patch to ‘gnu/local.mk’ and applied both patches.

Thanks!

Ludo’.

Subject: [PATCH 0/2] Fix transfig build errors.
From: Ivan Vilata i Balaguer <[email-masked]>
To: [email-masked]
Date: Mon, 7 Mar 2022 00:45:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!  The following patches fix two build errors of the package `transfig`
caused by the upgrade to binutils 2.36 (namely bug
<https://issues.guix.gnu.org/53425> (similar to
<https://bugs.debian.org/981072>) and to GCC 10+ with option `-f-no-common`
(similar to <https://bugs.gentoo.org/706706>, which I found when I fixed the
previous one).  Thanks!

Ivan Vilata i Balaguer (2):
  gnu: transfig: Avoid "ar" option incompatibility with binutils 2.36.
  gnu: transfig: Fix "multiple definition" errors with GCC 10+.

 .../patches/transfig-gcc10-fno-common.patch   | 33 +++++++++++++++++++
 gnu/packages/xfig.scm                         | 14 ++++++--
 2 files changed, 45 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/transfig-gcc10-fno-common.patch

-- 
2.34.0

-- 
Ivan Vilata i Balaguer -- https://elvil.net/